### Function

# Ide DiagnosticSeverity to_string

#### Declaration

    const gchar*
    ide_diagnostic_severity_to_string (
      IdeDiagnosticSeverity severity
    )

#### Description

Returns a string suitable to represent the diagnsotic severity.

Available since: | 3.32

#### Parameters

`severity` | `IdeDiagnosticSeverity`
| A `IdeDiagnosticSeverity`.

#### Return value

Returns: | `const gchar*`
| A string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.